#ifndef CEVENTMIDI_H
#define CEVENTMIDI_H

#include <stdio.h>
#include "MsNote.h"

class CEventMidi
{
	CMsNote *m_pNote;		///note that is playing
	int m_Velocity;			/// velocity of note
    int m_Ticks;            /// timer ticks
    CEventMidi *m_pNext;    /// Next event item
    CEventMidi *m_pPrev;    /// Previous event item
public:
	int GetChannel(void);
    CEventMidi();
    virtual ~CEventMidi();
    void SetNext(CEventMidi *pE){m_pNext = pE;}
    CEventMidi *GetNext(void){return m_pNext;}
    void SetPrev(CEventMidi *pE){m_pPrev = pE;}
    CEventMidi *GetPrev(void){return m_pPrev;}
    void SetNote(CMsNote *pNote){m_pNote = pNote;}
    void SetVelocity(char V){m_Velocity = V;}
	int GetVelocity(void){return m_Velocity;}
    void SetTick(int Duration,int tempo);
	int GetTick(void) { return m_Ticks; }
    int DecTicks(void);
    CMsNote *GetNote(void){return m_pNote;}
	void Print(FILE *pO);
protected:
private:
};

#endif // CEVENTMIDI_H
