// MsBar.cpp: implementation of the CMsBar class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"

#include "MsBar.h"
#include "MusicStudioFileFormat.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
static int BarIDCounter = 0;

void ResetBarCount(void)
{
	BarIDCounter = 0;
}

CMsBar::CMsBar()
{
	m_BarID = BarIDCounter++;
}

CMsBar::~CMsBar()
{

}

void CMsBar::Print(FILE *pO)
{
	fprintf(pO,"Measure Bar:%d\n",m_BarID);
}


void CMsBar::Draw(CDC *pDC, int event, int maxevent)
{
	int x = EVENT_OFFSET+EVENT_WIDTH*event+MEASUREBAR_OFFSET;
	pDC->MoveTo(x,STAVE_OFFSET);
	pDC->LineTo(x,STAVE_OFFSET+STAVE_HEIGHT);
}

CMsObject * CMsBar::Copy()
{
	CMsObject *pOb = 0;
	CMsBar *pBar = new CMsBar;
	*pBar = *this;
	pOb = pBar;
	return pOb;
}

void CMsBar::Save(FILE *pO)
{
	fputc(TOKEN_BAR,pO);
}
