// MsEnd.cpp: implementation of the CMsEnd class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"

#include "MsEnd.h"
#include "MusicStudioFileFormat.h"
#include "MsBar.h"
#include "MusicStudioFileFormat.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMsEnd::CMsEnd()
{

}

CMsEnd::~CMsEnd()
{

}

void CMsEnd::Print(FILE *pO)
{
	fprintf(pO,"-------Song End------\n");
}

void CMsEnd::Draw(CDC *pDC, int event, int maxevent)
{
	CPen Heavy, *pOld;
	LOGBRUSH Lb;
	Lb.lbColor = RGB(0, 0, 0);
	Lb.lbStyle = BS_SOLID;
	Lb.lbHatch = 0;

	Heavy.CreatePen(PS_GEOMETRIC | PS_ENDCAP_FLAT, 6, &Lb);
	int x = EVENT_OFFSET + EVENT_WIDTH*event + MEASUREBAR_OFFSET;
	pDC->MoveTo(x - 6, STAVE_OFFSET);
	pDC->LineTo(x - 6, STAVE_OFFSET + STAVE_HEIGHT);
	pOld = pDC->SelectObject(&Heavy);
	pDC->MoveTo(x, STAVE_OFFSET);
	pDC->LineTo(x, STAVE_OFFSET + STAVE_HEIGHT);
	pDC->SelectObject(pOld);
}

CMsObject * CMsEnd::Copy()
{
	CMsObject *pOb = 0;
	CMsEnd *pTS = new CMsEnd;
	*pTS = *this;
	pOb = pTS;
	return pOb;
}

void CMsEnd::Save(FILE *pO)
{
	fputc(TOKEN_END,pO);
}
