// MsKeySignature.h: interface for the CMsKeySignature class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSKEYSIGNATURE_H__1976A520_F98E_4B8F_9255_E92E33486DA3__INCLUDED_)
#define AFX_MSKEYSIGNATURE_H__1976A520_F98E_4B8F_9255_E92E33486DA3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MsObject.h"
extern char *KeySigStringTab[];

class CMsKeySignature : public CMsObject  
{
	int m_KeySigCorrection[12];
	int m_KeySignature;
public:
	virtual void Save(FILE *pO);
	CMsObject * Copy(void);
	virtual void Draw(CDC *pDC, int event, int maxevent);
	CMsKeySignature(int k);
	CMsKeySignature();
	virtual ~CMsKeySignature();
	virtual void Print(FILE *pO);
	int GetKey(void){return m_KeySignature;}
	void SetKey(int k){m_KeySignature = k;}
	int GetKeySigCorrection(int note, int accidental);
	void SetKeySigCorrection(void);
};

#endif // !defined(AFX_MSKEYSIGNATURE_H__1976A520_F98E_4B8F_9255_E92E33486DA3__INCLUDED_)
