// SelDurDlg.cpp : implementation file
//

#include "stdafx.h"
#include "musicstudioplayer.h"
#include "SelDurDlg.h"
#include "MusicStudioFileFormat.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSelDurDlg dialog

extern int NoteDurLut[];

CSelDurDlg::CSelDurDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSelDurDlg::IDD, pParent)
	, m_nDuration(0)
{
	//{{AFX_DATA_INIT(CSelDurDlg)
	m_Radio_Sel = -1;
	//}}AFX_DATA_INIT
	this->m_pPrompt = 0;
	this->m_nDurSel = 2;
}


void CSelDurDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelDurDlg)
	DDX_Control(pDX, IDC_STATIC_PROMT_DUR, m_Static_Promt);
	DDX_Control(pDX, IDC_COMBO_SEL_DURATUION, m_Combo_SelDur);
	DDX_Radio(pDX, IDC_RADIO_NONE, m_Radio_Sel);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSelDurDlg, CDialog)
	//{{AFX_MSG_MAP(CSelDurDlg)
	ON_CBN_SELCHANGE(IDC_COMBO_SEL_DURATUION, OnSelchangeComboSelDuratuion)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelDurDlg message handlers

BOOL CSelDurDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_nDuration &= 0x1f;	//just in case not initialized.
	m_BmWhole.LoadBitmap(IDB_NOTE_WHOLE);
	m_Combo_SelDur.AddBitmap(&m_BmWhole, "");
	m_BmHalf.LoadBitmap(IDB_NOTE_HALF);
	m_Combo_SelDur.AddBitmap(&m_BmHalf, "");
	m_BmQuarter.LoadBitmap(IDB_NOTE_QUARTER);
	m_Combo_SelDur.AddBitmap(&m_BmQuarter, "");
	m_BmEight.LoadBitmap(IDB_NOTE_EIGTH);
	m_Combo_SelDur.AddBitmap(&m_BmEight, "");
	m_BmSixteenth.LoadBitmap(IDB_NOTE_SIXTEENTH);
	m_Combo_SelDur.AddBitmap(&m_BmSixteenth, "");
	m_BmThirtySec.LoadBitmap(IDB_NOTE_THIRTYSECOND);
	m_Combo_SelDur.AddBitmap(&m_BmThirtySec, "");
	m_nDurSel = DurTab[m_nDuration].NoteShapIndex;
	m_Combo_SelDur.SetCurSel(m_nDurSel);
	if (DurTab[m_nDuration].Dotted)
		m_Radio_Sel = 1;
	else if (DurTab[m_nDuration].Triplet)
		m_Radio_Sel = 2;
	else
		m_Radio_Sel = 0;
	this->UpdateData(0);
	if(this->m_pPrompt) this->m_Static_Promt.SetWindowText(m_pPrompt);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSelDurDlg::OnSelchangeComboSelDuratuion() 
{
	// TODO: Add your control notification handler code here
	
}

void CSelDurDlg::OnOK() 
{
	// TODO: Add extra validation here
	this->UpdateData();
	this->m_nDurSel = this->m_Combo_SelDur.GetCurSel();
	m_nDuration = NoteDurLut[m_nDurSel];
	if (m_Radio_Sel == 1) m_nDuration += 2;	//dotted
	else if(m_Radio_Sel == 2) m_nDuration -= 2;	//tripplet
	CDialog::OnOK();
}
