// SelectStringDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MusicStudioPlayer.h"
#include "SelectStringDlg.h"
#include "afxdialogex.h"


// CSelectStringDlg dialog

IMPLEMENT_DYNAMIC(CSelectStringDlg, CDialog)

CSelectStringDlg::CSelectStringDlg(CWnd* pParent /*=NULL*/)
	: CDialog(IDD_DIALOG_STRINGSELECTOR, pParent)
{

	m_nStrings = 0;
	m_nSelection = 0;
	m_pCaptionString = 0;
}

CSelectStringDlg::~CSelectStringDlg()
{
}

void CSelectStringDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMBO_SELECTOR, m_Combo_Selector);
}


BEGIN_MESSAGE_MAP(CSelectStringDlg, CDialog)
END_MESSAGE_MAP()


// CSelectStringDlg message handlers


BOOL CSelectStringDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  Add extra initialization here
	for (int i = 0; i < m_nStrings; ++i)
		m_Combo_Selector.InsertString(i, CString(m_ppStrings[i]));
	m_Combo_Selector.SetCurSel(m_nSelection);
	if (m_pCaptionString) SetWindowText(CString(m_pCaptionString));
	return TRUE;  // return TRUE unless you set the focus to a control
				  // EXCEPTION: OCX Property Pages should return FALSE
}


void CSelectStringDlg::OnOK()
{
	// TODO: Add your specialized code here and/or call the base class
	m_nSelection = m_Combo_Selector.GetCurSel();
	CDialog::OnOK();
}
