// TrackColors.cpp: implementation of the CTrackColors class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MusicStudioPlayer.h"
#include "resource.h"
#include "MsPlayerDlg.h"
#include "TrackColors.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


int TrkClrs[15] = {
	IDB_INST_1,	//1
	IDB_INST_2,	//2
	IDB_INST_3,	//3
	IDB_INST_4,	//4
	IDB_INST_5,	//5
	IDB_INST_6,	//6
	IDB_INST_7,	//7
	IDB_INST_8,	//8
	IDB_INST_9,	//9
	IDB_INST_10,	//10
	IDB_INST_11,	//11
	IDB_INST_12,	//12
	IDB_INST_13,	//13
	IDB_INST_14,	//14
	IDB_INST_15		//15
};

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CTrackColors::CTrackColors()
{
	m_Color = RGB(0,0,0);
	m_pBM = 0;
}

CTrackColors::CTrackColors(COLORREF nColor)
{
	m_Color = nColor;
	m_pBM = 0;
}

CTrackColors::~CTrackColors()
{
}


CBitmap * CTrackColors::GetBitmap()
{
	return m_pBM;
}

COLORREF CTrackColors::GetColor()
{
	return m_Color;
}

void CTrackColors::SetColor(COLORREF color)
{
	m_Color = color;
}

void CTrackColors::SetBitmap(CBitmap *pBM)
{
	this->m_pBM = pBM;
	CDC *pDC = ((CMSPlayerDlg *)(AfxGetApp()->m_pMainWnd))->m_pStaffView->GetDC();
	CDC dc;
	dc.CreateCompatibleDC(pDC);
	dc.SelectObject(m_pBM);
	m_Color = dc.GetPixel(1,1);
}
