#if !defined(AFX_MIDICONFIG_H__73F53649_DF4F_46F7_B00A_2DDFB16D752E__INCLUDED_)
#define AFX_MIDICONFIG_H__73F53649_DF4F_46F7_B00A_2DDFB16D752E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MidiConfig.h : header file
//
#include "HorzScrollbar.h"
#include "TrackColors.h"
#include "MsSong.h"
#include "StaticBitmap.h"

/////////////////////////////////////////////////////////////////////////////
// CMidiConfig dialog

typedef struct {
	int R;
	int G;
	int B;
}TRACKCOLORS;

class CMidiConfig : public CDialog
{
// Construction
public:
	CWnd * m_pWndPgmChange;
	CMsSong *m_pSong;
	CEdit *m_ppInstName;
//	CTrackColors ** m_pTrackColors;
	int m_dPatch[15];
	int m_dOct;
	int m_dChan[15];
	int m_dRange[15];
	CMidiConfig(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMidiConfig)
	enum { IDD = IDD_DIALOG_MIDI_TRACKS };
	CStaticBitmap	m_Static_Bm15;
	CStaticBitmap	m_Static_Bm14;
	CStaticBitmap	m_Static_Bm13;
	CStaticBitmap	m_Static_Bm12;
	CStaticBitmap	m_Static_Bm11;
	CStaticBitmap	m_Static_Bm10;
	CStaticBitmap	m_Static_Bm9;
	CStaticBitmap	m_Static_Bm8;
	CStaticBitmap	m_Static_Bm7;
	CStaticBitmap	m_Static_Bm6;
	CStaticBitmap	m_Static_Bm5;
	CStaticBitmap	m_Static_Bm4;
	CStaticBitmap	m_Static_Bm3;
	CStaticBitmap	m_Static_Bm2;
	CStaticBitmap	m_Static_Bm1;
	CStatic	m_Static_Range15;
	CStatic	m_Static_Range14;
	CStatic	m_Static_Range13;
	CStatic	m_Static_Range12;
	CStatic	m_Static_Range11;
	CStatic	m_Static_Range10;
	CStatic	m_Static_Range9;
	CStatic	m_Static_Range8;
	CStatic	m_Static_Range7;
	CStatic	m_Static_Range6;
	CStatic	m_Static_Range5;
	CStatic	m_Static_Range4;
	CStatic	m_Static_Range3;
	CStatic	m_Static_Range2;
	CStatic	m_Static_Range1;
	CStatic	m_Static_Patch15;
	CStatic	m_Static_Patch14;
	CStatic	m_Static_Patch13;
	CStatic	m_Static_Patch12;
	CStatic	m_Static_Patch11;
	CStatic	m_Static_Patch10;
	CStatic	m_Static_Patch9;
	CStatic	m_Static_Patch8;
	CStatic	m_Static_Patch7;
	CStatic	m_Static_Patch6;
	CStatic	m_Static_Patch5;
	CStatic	m_Static_Patch4;
	CStatic	m_Static_Patcjh3;
	CStatic	m_Static_Patch2;
	CStatic	m_Static_Patch1;
	CStatic	m_Static_Chan15;
	CStatic	m_Static_Chan14;
	CStatic	m_Static_Chan13;
	CStatic	m_Static_Chan12;
	CStatic	m_Static_Chan11;
	CStatic	m_Static_Chan10;
	CStatic	m_Static_Chan9;
	CStatic	m_Static_Chan8;
	CStatic	m_Static_Chan7;
	CStatic	m_Static_Chan6;
	CStatic	m_Static_Chan5;
	CStatic	m_Static_Chan4;
	CStatic	m_Static_Chan3;
	CStatic	m_Static_Chan2;
	CStatic	m_Static_Chan1;
	CHorzScrollBar	m_SB_Range15;
	CHorzScrollBar	m_SB_Range14;
	CHorzScrollBar	m_SB_Range13;
	CHorzScrollBar	m_SB_Range12;
	CHorzScrollBar	m_SB_Range11;
	CHorzScrollBar	m_SB_Rang10;
	CHorzScrollBar	m_SB_Range9;
	CHorzScrollBar	m_SB_Range8;
	CHorzScrollBar	m_SB_Range7;
	CHorzScrollBar	m_SB_Range6;
	CHorzScrollBar	m_SB_Range5;
	CHorzScrollBar	m_SB_Range4;
	CHorzScrollBar	m_SB_Range3;
	CHorzScrollBar	m_SB_Range2;
	CHorzScrollBar	m_SB_Range1;
	CHorzScrollBar	m_SB_Patch15;
	CHorzScrollBar	m_SB_Patch14;
	CHorzScrollBar	m_SB_Patch13;
	CHorzScrollBar	m_SB_Patch12;
	CHorzScrollBar	m_SB_Patch11;
	CHorzScrollBar	m_SB_Patch10;
	CHorzScrollBar	m_SB_Patch9;
	CHorzScrollBar	m_SB_Patch8;
	CHorzScrollBar	m_SB_Patch7;
	CHorzScrollBar	m_SB_Patch6;
	CHorzScrollBar	m_SB_Patch5;
	CHorzScrollBar	m_SB_Patch4;
	CHorzScrollBar	m_SB_Patch3;
	CHorzScrollBar	m_SB_Patch2;
	CHorzScrollBar	m_SB_Patch1;
	CHorzScrollBar	m_SB_Chan15;
	CHorzScrollBar	m_SB_Chan14;
	CHorzScrollBar	m_SB_Chan13;
	CHorzScrollBar	m_SB_Chan12;
	CHorzScrollBar	m_SB_Chan11;
	CHorzScrollBar	m_SB_Chan10;
	CHorzScrollBar	m_SB_Chan9;
	CHorzScrollBar	m_SB_Chan8;
	CHorzScrollBar	m_SB_Chan7;
	CHorzScrollBar	m_SB_Chan6;
	CHorzScrollBar	m_SB_Chan5;
	CHorzScrollBar	m_SB_Chan4;
	CHorzScrollBar	m_SB_Chan3;
	CHorzScrollBar	m_SB_Chan2;
	CHorzScrollBar	m_SB_Chan1;
	CButton	m_CheckBox_En15;
	CButton	m_CheckBox_En14;
	CButton	m_CheckBox_En13;
	CButton	m_CheckBox_En12;
	CButton	m_CheckBox_En11;
	CButton	m_CheckBox_En10;
	CButton	m_CheckBox_En9;
	CButton	m_CheckBox_En8;
	CButton	m_CheckBox_En7;
	CButton	m_CheckBox_En6;
	CButton	m_CheckBox_En5;
	CButton	m_CheckBox_En4;
	CButton	m_CheckBox_En3;
	CButton	m_CheckBox_En2;
	CButton	m_CheckBox_En1;
	CEdit	m_Edit_Inst15;
	CEdit	m_Edit_Inst14;
	CEdit	m_Edit_Inst13;
	CEdit	m_Edit_Inst12;
	CEdit	m_Edit_Inst11;
	CEdit	m_Edit_Inst10;
	CEdit	m_Edit_Inst9;
	CEdit	m_Edit_Inst8;
	CEdit	m_Edit_Inst7;
	CEdit	m_Edit_Inst6;
	CEdit	m_Edit_Inst5;
	CEdit	m_Edit_Inst4;
	CEdit	m_Edit_Inst3;
	CEdit	m_Edit_Inst2;
	CEdit	m_Edit_Inst1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMidiConfig)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	LRESULT OnChannelChanged(WPARAM wp, LPARAM lp);

	// Generated message map functions
	//{{AFX_MSG(CMidiConfig)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCheckMidiEn1();
	afx_msg void OnCheckMidiEn2();
	afx_msg void OnCheckMidiEn3();
	afx_msg void OnCheckMidiEn4();
	afx_msg void OnCheckMidiEn5();
	afx_msg void OnCheckMidiEn6();
	afx_msg void OnCheckMidiEn7();
	afx_msg void OnCheckMidiEn8();
	afx_msg void OnCheckMidiEn9();
	afx_msg void OnCheckMidiEn10();
	afx_msg void OnCheckMidiEn11();
	afx_msg void OnCheckMidiEn12();
	afx_msg void OnCheckMidiEn13();
	afx_msg void OnCheckMidiEn14();
	afx_msg void OnCheckMidiEn15();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MIDICONFIG_H__73F53649_DF4F_46F7_B00A_2DDFB16D752E__INCLUDED_)
