// MsLoudness.cpp: implementation of the CMsLoudness class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MsLoudness.h"
#include "MusicStudioFileFormat.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMsLoudness::CMsLoudness():CMsObject(MSOBJ_LOUDNESS)
{
	m_Loudness = 127;
}

CMsLoudness::CMsLoudness(int l):CMsObject(MSOBJ_LOUDNESS)
{
	m_Loudness = l;
}

CMsLoudness::~CMsLoudness()
{

}

void CMsLoudness::Print(FILE *pO)
{
	fprintf(pO,"Loudness:%d\n",m_Loudness);
}

void CMsLoudness::Draw(CDC *pDC, int event, int maxevent)
{
	char *s = new char[16];
	int x,y;
	x = EVENT_OFFSET+EVENT_WIDTH*event;
	y = STAVE_OFFSET-16;
	pDC->TextOut(x,y-12,"V=");
	sprintf(s,"%d",this->m_Loudness);
	pDC->TextOut(x,y,s);
	delete[] s;
}

CMsObject * CMsLoudness::Copy()
{
	CMsObject *pOb = 0;
	CMsLoudness *pB = new CMsLoudness;
	*pB = *this;
	pOb = pB;
	return pOb;
}

void CMsLoudness::Save(FILE *pO)
{
	fputc(TOKEN_LOUDNESS,pO);	//token
	fputc(0x01,pO);	//who knows what this is for
	fputc(this->m_Loudness,pO);	//value
}
