// StaticStatus.cpp : implementation file
//

#include "stdafx.h"
#include "musicstudioplayer.h"
#include "StaticStatus.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStaticStatus

CStaticStatus::CStaticStatus()
{
	m_pDisplayText = new char[256];
	memset(m_pDisplayText,0,256);
}

CStaticStatus::~CStaticStatus()
{
	delete[] m_pDisplayText;
}


BEGIN_MESSAGE_MAP(CStaticStatus, CStatic)
	//{{AFX_MSG_MAP(CStaticStatus)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStaticStatus message handlers

void CStaticStatus::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	CRect rect;
	CBrush br;
	int l;

	br.CreateSolidBrush(RGB(255,255,255));
	GetClientRect(&rect);
	dc.FillRect(&rect,&br);
	l = strlen(m_pDisplayText);
	if(l)
	{
		dc.TextOut(20,rect.CenterPoint().y,m_pDisplayText,l);
	}

	// Do not call CStatic::OnPaint() for painting messages
}

void CStaticStatus::SetText(char *s)
{
	strcpy(m_pDisplayText,s);
	Invalidate();
}
